Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.

List e-invoices

Returns a list of e-invoices. You can filter by id, reference id, updated at, invoice id, or credit note id.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/einvoices

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

invoice_id
optional, string, max chars=50

Filter e-invoices belonging to the invoice with this id.

Constraints

  • Query parameter (invoice_id={invoice_id}), not an operator filter (invoice_id[is]).
  • Cannot be sent together with credit_note_id; the API returns an error if both are passed.
credit_note_id
optional, string, max chars=50

Filter e-invoices belonging to the credit note with this id.

Constraints

  • Query parameter (credit_note_id={credit_note_id}), not an operator filter (credit_note_id[is]).
  • Cannot be sent together with invoice_id; the API returns an error if both are passed.
sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : updated_at

Supported sort-orders : asc, desc

Example → sort_by[desc] = "updated_at"

This will sort the result based on the 'updated_at' attribute in descending (latest first) order. When omitted, the list defaults to updated_at descending (with id as tiebreaker).

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

The unique id for the e-invoice. Supported operators : is, in

Example → id[is] = "HmaT0avT2mtbTL3mR"

Supported operators: in, is
Example HmaT0avT2mtbTL3mR
reference_id[<operator>]

optional, string filter

Identifier returned by the connected e-invoicing provider for this submission. Supported operators : is, in

Example → reference_id[is] = "einvoice_ref_123"

Supported operators: in, is
Example einvoice_ref_123
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

Filter e-invoices based on updated_at. Useful for downstream delta sync. It is advisable when using this filter, to pass the sort_by input parameter as updated_at for a faster response. Supported operators : after, before, on, between

Example → updated_at[after] = "1243545465"

Supported operators: after, before, on, between
Example 1243545465

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Einvoice object

Resource object representing einvoice